Bug 1260312 - lighttpd 1.4.36 has a problem. Please kindly update it to 1.4.37
lighttpd 1.4.36 has a problem. Please kindly update it to 1.4.37
Product: Fedora EPEL
Classification: Fedora
Component: lighttpd (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-05 18:23 EDT by M. Istehbab
Modified: 2015-10-29 10:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-29 10:50:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lighttpd 1.4.37 log output on first run, after fresh update (1.94 KB, text/plain)
2015-09-06 06:59 EDT, M. Istehbab
no flags Details

  None (edit)
Description M. Istehbab 2015-09-05 18:23:34 EDT
Description of problem:
lighttpd 1.4.36 has this ( http://redmine.lighttpd.net/issues/2659 ) problem. Its filling up my log(s).

Please kindly update lighttpd to a stable version 1.4.37. As per lighttpd changelog ( http://www.lighttpd.net/2015/8/30/1.4.37/ ), this and many other issues have been resolved in version 1.4.37.

Version-Release number of selected component (if applicable):

How reproducible:
We use django, with gunicorn as the proxy backend.

Where-ever lighttpd 1.4.36 is installed, and a proxy backend is being used, its going to fill logs unnecessarily.

Steps to Reproduce:
1. Install lighttpd 1.4.36 from epel on centos 6.x
2. run lighttpd, with any proxy backend
3. watch logs

Actual results:

Expected results:

Additional info:
Comment 1 Anssi Johansson 2015-09-06 03:26:04 EDT
There is already 1.4.37 in testing, see https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7868

You should be able to get it with a "yum update --enablerepo=epel-testing"

If it works for you, give positive karma in bodhi to get it pushed to stable sooner.
Comment 2 M. Istehbab 2015-09-06 06:59:03 EDT
Created attachment 1070697 [details]
lighttpd 1.4.37 log output on first run, after fresh update

1.4.37 from testing is working for me.

Although it has a few kinks here and there, that need fixing/updating. I'v attached a text file with to show my log output.

Its showing the \t and \n characters in log output for fastcgi
Comment 3 M. Istehbab 2015-09-06 07:00:44 EDT
Looks like debug or debug logging was left turned on, out-of-the-box, in 1.4.37 build(s)
Comment 4 M. Istehbab 2015-09-06 07:15:54 EDT
Nope. Not entirely comfortable with 1.4.37 "as it is" right now.

I'm watching slight issue with API calls, after update. We run a django+gunicorn setup with lighttpd, for our main web + API calls. Not sure about the cause yet. I'v reverted back to 1.4.35-1.el6.x86_64, to keep things consistent. This is a production box.

I'm going to leave it "as it is", for now. I'll wait for the stable version, for updating on production.

Note You need to log in before you can comment on or make changes to this bug.